Component({
  properties: {
    text: {
      type: String,
      value: '暂无数据'
    },
    icon: {
      type: String,
      value: ''
    },
    showBtn: {
      type: Boolean,
      value: false
    },
    btnText: {
      type: String,
      value: '去逛逛'
    }
  },

  methods: {
    onAction() {
      this.triggerEvent('action');
    }
  }
});
